Subject: Re: libstdc++/7168: C++ Exceptions in Multithreaded Applications Crash (cygwin)
From: Lenny Primak <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Jul 2002 22:19:09 -0400

This problem appears to be solved with the latest version
of cygwin (as of jul 1 d/l)

I still need help determining gcc3's MT-exception capability.
Can anybody help me with this?

Thanks a lot.

Someone can close this bug (7168)

On Wednesday, July 3, 2002, at 01:38  PM, Benjamin Kosnik wrote:

>
>> Can somebody verify that C++ MT-exceptions work in the latest
>> gcc 3.0 builds for cygwin?  If true, I can volunteer to build the
>> binaries.
>
> I don't have access to a windows setup, so I am unable to help you. I
> suggest you email some of the people building current gcc under cygwin,
> the people who submit results to gcc-testresults, and ask them politely
> to try your sample code.
>
> I suspect it works, but do not know for certain. The C++ results, in
> general, look quite good for cygwin with recent toolchains.
>
> -benjamin
>
Lenny Primak
PP-ASEL,H-IA
http://hope.nyc.ny.us

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/